/*!
 * APPRZ Login skin popup javascript v1.0
 * http://www.apprz.net
 * author : Kim You Chul
 * GPLv2 License. by Apprz.
 */
 
jQuery(function($){
	var tgC = $('.apz_cnt');
	$('.apzlogin_btn').click(function(){
		var t = $(this);
		var h = t.attr('href');
		
		if(t.next(h).is(':visible')) {
			t.focus().next().fadeOut(200);
			
		} else {
			tgC.filter(':visible').hide();
			tgC.fadeIn(200).find('a,input#uid,button:not(.apz_blur)').eq(0).focus();
			
		};
		return false;
	});
	function tgClose() {
		var closeId = tgC.filter(':visible').attr('id');
		tgC.fadeOut(200).prev('[href="#'+closeId+'"]').focus();
		console.log('close');
	};
	$(document).keydown(function(event){
		if(event.keyCode != 27) return true; // ESC
		return tgClose()
	});
	$('.apz_blur').focusin(tgClose);
	$('.apz_close,#install_ng .close').click(tgClose);
	
	// Form Label Overlapping
	var overlapLabel = $('#apz_login .itx_wrp').find('>:text,>:password').prev('label');
	var overlapInput = overlapLabel.next();
	overlapInput
		.focus(function(){
			$(this).prev(overlapLabel).css('visibility','hidden');
		})
		.blur(function(){
			if($(this).val() == ''){
				$(this).prev(overlapLabel).css('visibility','visible');
			} else {
				$(this).prev(overlapLabel).css('visibility','hidden');
			}
		});
});
